# Uses of Class
org.eclipse.birt.chart.computation.LabelLimiter

Packages that use LabelLimiter
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of LabelLimiter in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return LabelLimiter
Modifier and Type
Method
Description
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la)`
modify the text of la to fit the limit size.
`LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, EnumSet<LabelLimiter.Option> options)`
modify the text of la to fit the limit size.
`static final LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, LabelLimiter lbLimit, EnumSet<LabelLimiter.Option> options)`
To compute the text of the label with a limited size, the label text will be wrapped and shortened with ellipsis if required, the size of the label bound will be returned.
Methods in org.eclipse.birt.chart.computation with parameters of type LabelLimiter
Modifier and Type
Method
Description
`static final double`
LabelLimiter.`computeWrapping(IDisplayServer xs, Label la, LabelLimiter lbLimit)`
Compute the wrapping with maxWidth, maxHeight.
`static final LabelLimiter`
LabelLimiter.`limitLabelSize(IChartComputation cComp, IDisplayServer xs, Label la, LabelLimiter lbLimit, EnumSet<LabelLimiter.Option> options)`
To compute the text of the label with a limited size, the label text will be wrapped and shortened with ellipsis if required, the size of the label bound will be returned.

## Uses of LabelLimiter in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return LabelLimiter
Modifier and Type
Method
Description
`LabelLimiter`
PlotWithAxes.`getLabellLimiter(Label la)`
Look up table for label limit.
Methods in org.eclipse.birt.chart.computation.withaxes with parameters of type LabelLimiter
Modifier and Type
Method
Description
`void`
PlotWithAxes.`putLabelLimiter(Label la, LabelLimiter lbLimit)`
Look up table for label limit.

## Uses of LabelLimiter in org.eclipse.birt.chart.factory

Fields in org.eclipse.birt.chart.factory with type parameters of type LabelLimiter
Modifier and Type
Field
Description
`static final RunTimeContext.StateKey<Map<Label,LabelLimiter>>`
RunTimeContext.StateKey.`LABEL_LIMITER_LOOKUP_KEY`
Key to reference LabelLimiter lookup table.